/*
 * OPEN-XCHANGE legal information
 *
 * All intellectual property rights in the Software are protected by
 * international copyright laws.
 *
 *
 * In some countries OX, OX Open-Xchange and open xchange
 * as well as the corresponding Logos OX Open-Xchange and OX are registered
 * trademarks of the OX Software GmbH group of companies.
 * The use of the Logos is not covered by the Mozilla Public License 2.0 (MPL 2.0).
 * Instead, you are allowed to use these Logos according to the terms and
 * conditions of the Creative Commons License, Version 2.5, Attribution,
 * Non-commercial, ShareAlike, and the interpretation of the term
 * Non-commercial applicable to the aforementioned license is published
 * on the web site https://www.open-xchange.com/terms-and-conditions/.
 *
 * Please make sure that third-party modules and libraries are used
 * according to their respective licenses.
 *
 * Any modifications to this package must retain all copyright notices
 * of the original copyright holder(s) for the original code used.
 *
 * After any such modifications, the original and derivative code shall remain
 * under the copyright of the copyright holder(s) and/or original author(s) as stated here:
 * https://www.open-xchange.com/legal/. The contributing author shall be
 * given Attribution for the derivative code and a license granting use.
 *
 * Copyright (C) 2016-2020 OX Software GmbH
 * Mail: info@open-xchange.com
 *
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the Mozilla Public License 2.0
 * for more details.
 */

import 'package:flutter/material.dart';
import 'package:ox_talk/source/base/base_root_child.dart';
import 'package:ox_talk/source/l10n/localizations.dart';
import 'package:ox_talk/source/maillist/mail_list_item.dart';
import 'package:ox_talk/source/ui/default_colors.dart';
import 'package:ox_talk/source/ui/dimensions.dart';

class MailListView extends BaseRootChild {

  _MailListState createState() => _MailListState();

  @override
  Color getColor() {
    return DefaultColors.mailColor;
  }

  @override
  FloatingActionButton getFloatingActionButton(BuildContext context) {
    return FloatingActionButton(
      child: Icon(Icons.create),
      onPressed: () {},
    );
  }

  @override
  String getTitle(BuildContext context) {
    return AppLocalizations.of(context).mailTitle;
  }

  @override
  String getNavigationText(BuildContext context) {
    return AppLocalizations.of(context).mailTitle;
  }

  @override
  IconData getNavigationIcon() {
    return Icons.email;
  }

}

class _MailListState extends State<MailListView> {
  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      padding: EdgeInsets.all(Dimensions.listItemPadding),
      itemBuilder: (BuildContext context, int index) {
        Mail contact = Mail("name $index", "subject $index", "message $index", false, false, false, false);
        return MailListItem(contact);
      },
    );
  }
}
